version: 2
jobs:
  build-go-latest:
    docker:
    - image: golang:latest
    working_directory: /go/src/github.com/gliderlabs/ssh
    steps:
    - checkout
    - run: go get
    - run: go test -v -race

  build-go-1.9:
    docker:
    - image: golang:1.9
    working_directory: /go/src/github.com/gliderlabs/ssh
    steps:
    - checkout
    - run: go get
    - run: go test -v -race

workflows:
  version: 2
  build:
    jobs:
      - build-go-latest
      - build-go-1.9
